<?php
##############################
#                            #
#   ~~Kontaktformular        #
#           Version: 2.0~~   #
#                            #
##############################

#######################
#                     #
#   Lizenzbedingung   #
#                     #
#######################
/*
Das Material des Kontaktformulars steht unter der Creative-Commons-Lizenz Namensnennung 
- Weitergabe unter gleichen Bedingungen 3.0 Deutschland.
Um eine Kopie dieser Lizenz zu sehen, besuchen Sie http://creativecommons.org/licenses/by-sa/3.0/de/.
Das ursprüngliche Werk stammt von http://suchdichsatt.de/tutorial/php-kontaktformular.

Ausgenommen von dieser Lizenz ist der Captcha Ordner.
*/

function kf_sec_session_start() {	
	$session_name = SESSION_KF_NAME;   // Set a custom session name
	$secure = false;	// FOR DEVELOPMENT ONLY!!!! (https required)
	if (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on') {
		$secure = true;
	}
    $httponly = true;	// This stops JavaScript being able to access the session id.
    // Forces sessions to only use cookies.
    if (ini_set('session.use_only_cookies', 1) === FALSE) {
		echo 'Error occured';
        exit();
    }
    // Gets current cookies params.
    $cookieParams = session_get_cookie_params();
    session_set_cookie_params($cookieParams["lifetime"],$cookieParams["path"],$cookieParams["domain"],$secure,$httponly);
    // Sets the session name to the one set above.
    session_name($session_name);
    session_start();            // Start the PHP session 
}

function kf_getWordLength($word) {
	return mb_strlen($word, 'UTF-8');	
}

function kf_checkMail($email) {
	if (filter_var($email, FILTER_VALIDATE_EMAIL)) {
		return true;
	}
	return false;	
}

function kf_redirect($page = '', $seconds = 2) {
	//return '<span id="redirectUrl" data-url="' . $page . '" data-time="' . $seconds * 1000 . '"></span>'; //JQuery Needed :/
	return '<meta http-equiv="refresh" content="' . $seconds . '; URL=' . $page . '">';
}

function kf_escapeStr($string) {
	$escapedString = htmlspecialchars($string);
	return $escapedString;
}

function errorOutput($msg, $param = 0) {
	global $color;
	$ausgabe = '<p class="errorMsg">' . $msg . '</p>';
	return $ausgabe;
}
?>